Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.validator
Class RequiredValidator

    java.lang.Object
      javax.faces.validator.RequiredValidator

All Implemented Interfaces:
  java.util.EventListener, Validator

    public class RequiredValidator

extends java.lang.Object
implements Validator

A Validator that checks for an empty value in the same way that UIInput checks for a value. In fact, this validator is equivalent to setting the required attribute on the input component to true.

Since:
  2.0

Field Summary
`static java.lang.String` | `VALIDATOR_ID` The standard converter id for this converter.

Fields inherited from interface javax.faces.validator.Validator
`NOT_IN_RANGE_MESSAGE_ID`

Constructor Summary
`RequiredValidator()`

Method Summary
`void` | `validate(FacesContext context, UIComponent component, java.lang.Object value)` Verify that the converted object value is not null.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALIDATOR_ID

    public static final java.lang.String VALIDATOR_ID

  The standard converter id for this converter.

  See Also:
    Constant Field Values

Constructor Detail

### RequiredValidator

    public RequiredValidator()

Method Detail

### validate

    public void validate(FacesContext context,
                         UIComponent component,
                         java.lang.Object value)

  Verify that the converted object value is not null.

  Specified by:
    `validate` in interface `Validator`
  Parameters:
    `context` - FacesContext for the request we are processing
    `component` - UIComponent we are checking for correctness
    `value` - the value to validate
  Throws:
    `ValidatorException` - if validation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.